1. bom
demand.erp API
  • bom
    • create bom
      POST
    • get bom
      GET
    • update bom
      PUT
    • delete bom
      DELETE
    • delete bom position
      DELETE
  • item
    • create item
      POST
    • get item
      GET
    • update item
      PUT
    • delete item
      DELETE
  • workplan
    • create workplan
      POST
    • get workplan
      GET
    • update workplan
      PUT
    • delete workplan
      DELETE
  • customer
    • create customer (4.8.0)
      POST
    • get customer (4.8.0)
      GET
    • update customer (4.8.0)
      PUT
    • delete customer (4.8.0)
      DELETE
  • Schemas
    • Schemas
    • Response
      • Success
      • BadRequest
    • getBom
    • postBom
    • putBom
    • getItem
    • postItem
    • putItem
    • getWorkplan
    • postWorkplan
    • putWorkplan
    • getCustomer
    • postCustomer
    • putCustomer
    • Success
    • Error
  1. bom

update bom

PUT
/bom/{itemid}/{character_index}/{production_variant}
Last modified:2026-07-31 08:54:44
This endpoint allows you to update an bom. Only values that need to be updated must be passed. At least one value must be provided.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/json

Example
{
    "itemid": 800000,
    "character_index": 0,
    "production_variant": 0,
    "status": 0,
    "description": "Automatenfolie PVC",
    "valid_from": 20241012,
    "valid_until": 20241013,
    "positions": [
        {
            "posid": 1,
            "assigned_itemid": "WZ-503220",
            "assigned_production_variant": 0,
            "assigned_drawing_index": 0,
            "lead_time": 3,
            "operation": 60,
            "start_stop_indicator": "E",
            "start_stop_date": "1899-11-30T00:00:00.000Z",
            "usage_unit": 1,
            "quantity": 12,
            "unit": "ST",
            "length": 0,
            "width": 0,
            "cost_center": 1,
            "machine": 100,
            "person_time": 5,
            "machine_time": 4,
            "setup_time": 3,
            "time_unit": 2,
            "fixed_price": 12.3,
            "remark": "Test"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/bom///' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "itemid": 800000,
    "character_index": 0,
    "production_variant": 0,
    "status": 0,
    "description": "Automatenfolie PVC",
    "valid_from": 20241012,
    "valid_until": 20241013,
    "positions": [
        {
            "posid": 1,
            "assigned_itemid": "WZ-503220",
            "assigned_production_variant": 0,
            "assigned_drawing_index": 0,
            "lead_time": 3,
            "operation": 60,
            "start_stop_indicator": "E",
            "start_stop_date": "1899-11-30T00:00:00.000Z",
            "usage_unit": 1,
            "quantity": 12,
            "unit": "ST",
            "length": 0,
            "width": 0,
            "cost_center": 1,
            "machine": 100,
            "person_time": 5,
            "machine_time": 4,
            "setup_time": 3,
            "time_unit": 2,
            "fixed_price": 12.3,
            "remark": "Test"
        }
    ]
}'

Responses

🟢200OK
application/json
Returns the updated bom
Bodyapplication/json

Example
{
    "success": true,
    "data": {
        "itemid": 800000,
        "character_index": 0,
        "production_variant": 0,
        "status": 0,
        "description": "Automatenfolie PVC",
        "valid_from": 20241012,
        "valid_until": 20241013,
        "positions": [
            {
                "posid": 1,
                "assigned_itemid": "WZ-503220",
                "assigned_production_variant": 0,
                "assigned_drawing_index": 0,
                "lead_time": 3,
                "operation": 60,
                "start_stop_indicator": "E",
                "start_stop_date": "2025-10-31T00:00:00.000Z",
                "usage_unit": 1,
                "quantity": 12,
                "unit": "ST",
                "length": 0,
                "width": 0,
                "cost_center": 1,
                "machine": 100,
                "person_time": 5,
                "machine_time": 4,
                "setup_time": 3,
                "time_unit": 2,
                "fixed_price": 12.3,
                "remark": "Test"
            }
        ]
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Modified at 2026-07-31 08:54:44
Previous
get bom
Next
delete bom
Built with